import { defineComponent, resolveComponent, openBlock, createBlock, withCtx, createTextVNode, toDisplayString, unref, createElementVNode, createVNode } from "vue";
import { I as InlineSvg } from "./kit-9e2091b1.js";
import { m as makeKeyMapWithCommon, s as svgPath } from "./index-61273cea.js";
import "element-plus";
import "./yjs-b5992b64.js";
import "./lib-05b36121.js";
const _hoisted_1 = /* @__PURE__ */ createElementVNode("br", null, null, -1);
const __default__ = defineComponent({
  name: "tiptap-menus-clear-node-and-marks"
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    editor: null
  },
  setup(__props) {
    const props = __props;
    const clear = () => {
      var _a, _b;
      (_a = props.editor) == null ? void 0 : _a.chain().focus().unsetAllMarks().run();
      (_b = props.editor) == null ? void 0 : _b.chain().focus().clearNodesKeepH().run();
    };
    return (_ctx, _cache) => {
      const _component_el_tooltip = resolveComponent("el-tooltip");
      return openBlock(), createBlock(_component_el_tooltip, {
        "popper-class": "text-center",
        effect: "dark",
        placement: "top",
        enterable: false,
        "hide-after": 0,
        transition: "none"
      }, {
        content: withCtx(() => [
          createTextVNode("清除格式"),
          _hoisted_1,
          createTextVNode(toDisplayString(unref(makeKeyMapWithCommon)(["Cmd", "/"])), 1)
        ]),
        default: withCtx(() => [
          createElementVNode("button", {
            class: "tiptap-button bg-hover-secondary",
            onClick: clear
          }, [
            createVNode(unref(InlineSvg), {
              class: "w-16px h-16px",
              src: unref(svgPath)
            }, null, 8, ["src"])
          ])
        ]),
        _: 1
      });
    };
  }
});
export {
  _sfc_main as default
};
