import { Node } from '@tiptap/core';
export type IKatexAttrs = {
    text?: string;
};
interface IKatexOptions {
    HTMLAttributes: Record<string, any>;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        katex: {
            setKatex: (arg?: IKatexAttrs) => ReturnType;
        };
    }
}
export declare const Katex: Node<IKatexOptions, any>;
export {};
